Chat messages
Delete Message
Delete a message from a chat.
Delete a specific message from a chat conversation using its unique message identifier.
https://v1.apifansly.com/api/fansly
DELETE
/{account_id}/messages/{message_id}
Get Started
All requests to the Fansly API require an API Key. See the Authentication page for details.
curl -X DELETE "https://v1.apifansly.com/api/fansly/{account_id}/messages/{message_id}" \
-H "x-api-key: YOUR_API_KEY"fetch("https://v1.apifansly.com/api/fansly/{account_id}/messages/{message_id}", {
method: "DELETE",
headers: {
"x-api-key": "YOUR_API_KEY"
}
})import requests
url = "https://v1.apifansly.com/api/fansly/{account_id}/messages/{message_id}"
headers = {
"x-api-key": "YOUR_API_KEY"
}
response = requests.delete(url, headers=headers)
print(response.json())import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://v1.apifansly.com/api/fansly/{account_id}/messages/{message_id}"))
.header("x-api-key", "YOUR_API_KEY")
.DELETE()
.build();
client.sendAsync(request, HttpResponse.BodyHandlers.ofString())
.thenApply(HttpResponse::body)
.thenAccept(System.out::println)
.join();using System.Net.Http;
using System.Threading.Tasks;
var client = new HttpClient();
client.DefaultRequestHeaders.Add("x-api-key", "YOUR_API_KEY");
var response = await client.DeleteAsync("https://v1.apifansly.com/api/fansly/{account_id}/messages/{message_id}");
var responseString = await response.Content.ReadAsStringAsync();
Console.WriteLine(responseString);package main
import (
"fmt"
"io/ioutil"
"net/http"
)
func main() {
url := "https://v1.apifansly.com/api/fansly/{account_id}/messages/{message_id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Set("x-api-key", "YOUR_API_KEY")
client := &http.Client{}
resp, _ := client.Do(req)
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}Path Parameters
account_id*
stringThe unique identifier for the connected account.
message_id*
stringThe unique identifier of the message to delete.
Response
{
"statusCode": 200,
"message": "Success",
"data": {
"status_code": 200,
"data": {
"success": true,
"response": {
"id": "message_id_string",
"type": 1,
"dataVersion": 1,
"content": "message_content_string",
"groupId": "group_id_string",
"senderId": "sender_account_id_string",
"correlationId": "0",
"inReplyTo": null,
"inReplyToRoot": null,
"createdAt": 1781558139,
"attachments": [],
"embeds": [],
"interactions": [
{
"userId": "recipient_user_id_string",
"readAt": 0,
"deliveredAt": 0
}
],
"likes": [],
"deletedAt": 1781558235
}
}
},
"timestamp": "2026-06-15T21:17:14.678Z"
}